com.verisign.epp.codec.relateddomainext

## Class EPPRelatedDomainExtDomain

- java.lang.Object
- - com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtDomain

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRelatedDomainExtDomain
      extends java.lang.Object
      implements EPPCodecComponent

  EPPCodecComponent that encodes and decodes a tag sent in a command. This element contains a number of child elements. Not all of them are required for all the commands listed below in which this element is used.
  - Domain Create
  - Domain Delete
  - Domain Renew
  - Domain Transfer
  - Domain Update

  Title: EPP 1.0 Related Domain - domain tag

  Description: The EPPRelatedDomainExtDomain object represents the collection of domains that must be processed atomically. As XML, it is represented by a element.

  Copyright: Copyright (c) 2013

  Company: VeriSign

  Version:
    1.0
  Author:
    nchigurupati
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRelatedDomainExtDomain()` `EPPRelatedDomainExtDomain` default constructor.
    `EPPRelatedDomainExtDomain(java.lang.String aName)` Constructor which takes the name of domain.
    `EPPRelatedDomainExtDomain(java.lang.String name, java.util.Date currentExpirationDate, EPPRelatedDomainExtPeriod period)` Constructor which takes the name of domain, current expiration date and registration period.
    `EPPRelatedDomainExtDomain(java.lang.String name, EPPRelatedDomainExtAuthInfo authInfo)` Constructor which takes the name of domain and authInfo
    `EPPRelatedDomainExtDomain(java.lang.String name, EPPRelatedDomainExtAuthInfo authInfo, EPPRelatedDomainExtPeriod period)` Constructor which takes the name of domain, authInfo and registration period.
    `EPPRelatedDomainExtDomain(java.lang.String name, EPPRelatedDomainExtAuthInfo authInfo, EPPRelatedDomainExtPeriod period, java.lang.String aLanguage)` Constructor which takes the name of domain, authInfo, registration period and a language.
    `EPPRelatedDomainExtDomain(java.lang.String name, EPPRelatedDomainExtAuthInfo authInfo, java.lang.String aLanguage)` Constructor which takes the name of domain, authInfo and a language.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRelatedDomainExtDomain`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRelatedDomainExtDomain` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRelatedDomainExtDomain` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRelatedDomainExtDomain` with this instance.
    `EPPRelatedDomainExtAuthInfo` | `getAuthInfo()` Returns the authInfo
    `java.util.Date` | `getCurrentExpirationDate()` Returns the currentExpirationDate
    `java.lang.String` | `getLanguage()` Returns the language
    `java.lang.String` | `getName()` Gets the domain name
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPRelatedDomainExtPeriod` | `getPeriod()` Returns the period
    `boolean` | `hasAuthInfo()`
    `boolean` | `hasCurrentExpirationDate()`
    `boolean` | `hasLanguage()`
    `boolean` | `hasName()`
    `boolean` | `hasPeriod()`
    `void` | `setAuthInfo(EPPRelatedDomainExtAuthInfo aAuthInfo)` Sets authInfo value to authInfo
    `void` | `setCurrentExpirationDate(java.util.Date aCurrentExpirationDate)` Sets currentExpirationDate value to currentExpirationDate
    `void` | `setLanguage(java.lang.String aLanguage)` Sets language value to language
    `void` | `setName(java.lang.String aName)` Sets the domain name.
    `void` | `setPeriod(EPPRelatedDomainExtPeriod aPeriod)` Sets period value to period
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRelatedDomainExtDomain

          public EPPRelatedDomainExtDomain()

      `EPPRelatedDomainExtDomain` default constructor. Must call required setter methods before invoking `encode`, which may include:
      - name - `setName`
      - auth info - `setAuthInfo`
      - period - `setPeriod`
      - current expiration date - `setCurrentExpirationDate`
      - language - `setLanguage`

    - #### EPPRelatedDomainExtDomain

          public EPPRelatedDomainExtDomain(java.lang.String aName)

      Constructor which takes the name of domain.
      Parameters:
        `aName` - the domain name

    - #### EPPRelatedDomainExtDomain

          public EPPRelatedDomainExtDomain(java.lang.String name,
                                           EPPRelatedDomainExtAuthInfo authInfo)

      Constructor which takes the name of domain and authInfo
      Parameters:
        `name` -
        `authInfo` -

    - #### EPPRelatedDomainExtDomain

          public EPPRelatedDomainExtDomain(java.lang.String name,
                                           EPPRelatedDomainExtAuthInfo authInfo,
                                           java.lang.String aLanguage)

      Constructor which takes the name of domain, authInfo and a language.
      Parameters:
        `name` -
        `authInfo` -
        `aLanguage` -

    - #### EPPRelatedDomainExtDomain

          public EPPRelatedDomainExtDomain(java.lang.String name,
                                           EPPRelatedDomainExtAuthInfo authInfo,
                                           EPPRelatedDomainExtPeriod period)

      Constructor which takes the name of domain, authInfo and registration period.
      Parameters:
        `name` -
        `authInfo` -
        `period` -

    - #### EPPRelatedDomainExtDomain

          public EPPRelatedDomainExtDomain(java.lang.String name,
                                           EPPRelatedDomainExtAuthInfo authInfo,
                                           EPPRelatedDomainExtPeriod period,
                                           java.lang.String aLanguage)

      Constructor which takes the name of domain, authInfo, registration period and a language.
      Parameters:
        `name` -
        `authInfo` -
        `period` -
        `aLanguage` -

    - #### EPPRelatedDomainExtDomain

          public EPPRelatedDomainExtDomain(java.lang.String name,
                                           java.util.Date currentExpirationDate,
                                           EPPRelatedDomainExtPeriod period)

      Constructor which takes the name of domain, current expiration date and registration period.
      Parameters:
        `name` -
        `period` -
        `currentExpirationDate` -

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRelatedDomainExtDomain` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPRelatedDomainExtDomain` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRelatedDomainExtDomain` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRelatedDomainExtDomain` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRelatedDomainExtDomain` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPRelatedDomainExtDomain` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRelatedDomainExtDomain`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRelatedDomainExtDomain`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getName

          public java.lang.String getName()

      Gets the domain name
      Returns:
        Domain Name if set; `null` otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the domain name.
      Parameters:
        `aName` - Domain Name

    - #### getAuthInfo

          public EPPRelatedDomainExtAuthInfo getAuthInfo()

      Returns the authInfo
      Returns:
        the authInfo

    - #### setAuthInfo

          public void setAuthInfo(EPPRelatedDomainExtAuthInfo aAuthInfo)

      Sets authInfo value to authInfo
      Parameters:
        `aAuthInfo` - the authInfo to set

    - #### getPeriod

          public EPPRelatedDomainExtPeriod getPeriod()

      Returns the period
      Returns:
        the period

    - #### setPeriod

          public void setPeriod(EPPRelatedDomainExtPeriod aPeriod)

      Sets period value to period
      Parameters:
        `aPeriod` - the period to set

    - #### getCurrentExpirationDate

          public java.util.Date getCurrentExpirationDate()

      Returns the currentExpirationDate
      Returns:
        the currentExpirationDate

    - #### setCurrentExpirationDate

          public void setCurrentExpirationDate(java.util.Date aCurrentExpirationDate)

      Sets currentExpirationDate value to currentExpirationDate
      Parameters:
        `aCurrentExpirationDate` - the currentExpirationDate to set

    - #### getLanguage

          public java.lang.String getLanguage()

      Returns the language
      Returns:
        the language

    - #### setLanguage

          public void setLanguage(java.lang.String aLanguage)

      Sets language value to language
      Parameters:
        `aLanguage` - the language to set

    - #### hasName

          public boolean hasName()

      Returns:
        `true` if name is not null.

    - #### hasAuthInfo

          public boolean hasAuthInfo()

      Returns:
        `true` if authInfo is not null.

    - #### hasPeriod

          public boolean hasPeriod()

      Returns:
        `true` if period is not null.

    - #### hasCurrentExpirationDate

          public boolean hasCurrentExpirationDate()

      Returns:
        `true` if currentExpirationDate is not null.

    - #### hasLanguage

          public boolean hasLanguage()

      Returns:
        `true` if language is not null.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.